<?php
/**
 * エラー処理など、全てのEntityクラスの基礎クラス
 * 
 * @author iimuro
 *
 */


abstract class EntityBase {
	
	
	
	/**
	 * 初期化されていない変数の利用を抑制
	 * 注意!この関数の中身を飯室に無断で編集したら首にします。
	 * @param $name
	 * @param $value
	 */
	function __set($name, $value) {
		trigger_error("value set to undefined variable:" . $name);
		$this->$name = $value;
	}
	
	
	
	
}